Bug 1638781 - Unable to create Content Credential bookmark via WebUI
Summary: Unable to create Content Credential bookmark via WebUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: GPG Keys
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Released
Assignee: Michael Johnson
QA Contact: Jameer Pathan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-12 12:45 UTC by Andrii Balakhtar
Modified: 2019-10-07 17:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:38:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:38:19 UTC
Foreman Issue Tracker 25219 None None None 2018-10-16 18:58:26 UTC

Description Andrii Balakhtar 2018-10-12 12:45:09 UTC
Description of problem:
Unable to create a bookmark from search of Content credential via WebUI, 'Controller katello_content_credentials is not a valid controller' is shown in logs.

Version-Release number of selected component (if applicable):
Sat 6.4 Snap 25

How reproducible:
Always

Steps to Reproduce:
1. Navigate to Content -> Content Credentials
2. Select 'Bookmark this search' from searchbox' dropdown actions list
3. Type any bookmark name and query, press 'Save' button

Actual results:
Nothing happens, no flash notifications, bookmark was not created. Browser's console contains following line:
POST https://hostname/api/v2/bookmarks 422 (Unprocessable Entity)

production.log contains following lines:
2018-10-12T08:37:41 [I|app|] Started POST "/api/v2/bookmarks" for 10.36.117.161 at 2018-10-12 08:37:41 -0400
2018-10-12T08:37:41 [I|app|3cf22] Processing by Api::V2::BookmarksController#create as JSON
2018-10-12T08:37:41 [I|app|3cf22]   Parameters: {"name"=>"test", "query"=>"1111", "public"=>true, "apiv"=>"v2", "bookmark"=>{"name"=>"test", "query"=>"1111", "controller"=>"api/v2/bookmarks", "public"=>true}}
2018-10-12T08:37:41 [I|app|3cf22] Current user: admin (administrator)
2018-10-12T08:37:41 [E|app|3cf22] Unprocessable entity Bookmark (id: new):
  Controller katello_content_credentials is not a valid controller

2018-10-12T08:37:41 [I|app|3cf22]   Rendering api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout
2018-10-12T08:37:41 [I|app|3cf22]   Rendered api/v2/errors/unprocessable_entity.json.rabl within api/v2/layouts/error_layout (1.7ms)
2018-10-12T08:37:41 [I|app|3cf22] Completed 422 Unprocessable Entity in 40ms (Views: 4.2ms | ActiveRecord: 6.4ms)

Expected results:
No errors, bookmark was successfully created, appropriate success message is shown.

Additional info:

Comment 3 Michael Johnson 2018-10-16 18:58:24 UTC
Created redmine issue https://projects.theforeman.org/issues/25219 from this bug

Comment 4 pm-sat@redhat.com 2018-10-26 16:04:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/25219 has been resolved.

Comment 6 Jameer Pathan 2018-11-16 12:50:55 UTC
verified:

@satellite 6.5.0 snap 3

steps:
1. Navigate to Content -> Content Credentials
2. Select 'Bookmark this search' from searchbox' dropdown actions list
3. Type any bookmark name and query, press 'Save' button

observation:
-No errors
-bookmark was successfully created

Comment 9 errata-xmlrpc 2019-05-14 12:38:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.